Bug 1854960 - CI builds are using outdated location with signing keys
Summary: CI builds are using outdated location with signing keys
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: config-operator
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.5.z
Assignee: Stefan Schimanski
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On: 1854919
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-07-08 13:45 UTC by Vadim Rutkovsky
Modified: 2020-07-13 17:45 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1854919
Environment:
Last Closed: 2020-07-13 17:44:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-update-keys pull 19 None closed Bug 1854960: Update CI search location to match where release signer publishes 2020-07-14 03:20:05 UTC
Red Hat Product Errata RHBA-2020:2409 None None None 2020-07-13 17:45:10 UTC

Description Vadim Rutkovsky 2020-07-08 13:45:18 UTC
+++ This bug was initially created as a clone of Bug #1854919 +++

The official URL for CI builds is gs://openshift-ci-release/releases/... to distinguish CI signing from OCP signing

--- Additional comment from Vadim Rutkovsky on 2020-07-08 13:43:50 UTC ---

Verified 4.6.0-0.ci-2020-07-08-041445 -> 4.6.0-0.ci-2020-07-08-121445 update, https://storage.googleapis.com/openshift-ci-release/releases/signatures/openshift/release bucket was used in CVO

Comment 3 Vadim Rutkovsky 2020-07-10 17:29:51 UTC
Builds are now signed with a dedicated CI key, CVO is updated to use those

Comment 4 errata-xmlrpc 2020-07-13 17:44:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.